Skip to content
Back to top
View this page
Edit this page

# Yahoo Engine

Yahoo Search (Web)

Languages are supported by mapping the language to a domain. If domain is not found in `lang2domain` URL `<lang>.search.yahoo.com` is used.

searx.engines.yahoo.region2domain = {'AR': 'ar.search.yahoo.com', 'BR': 'br.search.yahoo.com', 'CA': 'ca.search.yahoo.com', 'CL': 'cl.search.yahoo.com', 'CO': 'co.search.yahoo.com', 'DE': 'de.search.yahoo.com', 'ES': 'espanol.search.yahoo.com', 'FR': 'fr.search.yahoo.com', 'GB': 'uk.search.yahoo.com', 'HK': 'hk.search.yahoo.com', 'IN': 'in.search.yahoo.com', 'MX': 'mx.search.yahoo.com', 'PE': 'pe.search.yahoo.com', 'PH': 'ph.search.yahoo.com', 'SG': 'sg.search.yahoo.com', 'TH': 'th.search.yahoo.com', 'TW': 'tw.search.yahoo.com', 'UK': 'uk.search.yahoo.com', 'VE': 've.search.yahoo.com'}

  Map regions to domain

searx.engines.yahoo.lang2domain = {'any': 'search.yahoo.com', 'bg': 'search.yahoo.com', 'cs': 'search.yahoo.com', 'da': 'search.yahoo.com', 'el': 'search.yahoo.com', 'en': 'search.yahoo.com', 'et': 'search.yahoo.com', 'he': 'search.yahoo.com', 'hr': 'search.yahoo.com', 'ja': 'search.yahoo.com', 'ko': 'search.yahoo.com', 'sk': 'search.yahoo.com', 'sl': 'search.yahoo.com', 'zh_chs': 'hk.search.yahoo.com', 'zh_cht': 'tw.search.yahoo.com'}

  Map language to domain

searx.engines.yahoo.build_sb_cookie(cookie_params)

  Build sB cookie parameter from provided parameters.

  Parameters:

    cookie_params (dict) – Dictionary of cookie parameters

  Returns:

    Formatted cookie string

  Return type:

    str

  Example:

        >>> cookie_params = {'v': '1', 'vm': 'p', 'fl': '1', 'vl': 'lang_fr'}
        >>> build_sb_cookie(cookie_params)
        'v=1&vm=p&fl=1&vl=lang_fr'

searx.engines.yahoo.request(query, params)

  Build Yahoo search request.

searx.engines.yahoo.parse_url(url_string)

  remove yahoo-specific tracking-url

searx.engines.yahoo.response(resp)

  parse response